//
//  MainViewController.m
//  AcelerometroAutentia
//
//  Created by rcanales on 02/03/10.
//  Copyright Autentia 2010. All rights reserved.
//

#import "MainViewController.h"
#import "MainView.h"


@implementation MainViewController


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
	
	[[UIAccelerometer sharedAccelerometer] setUpdateInterval: 0.03]; 
	[[UIAccelerometer sharedAccelerometer] setDelegate: self];
	
    return self;
}


- (void)accelerometer:(UIAccelerometer *)acelerometro didAccelerate:(UIAcceleration *)aceleracion
{
	vistax.progress = (aceleracion.x + 1) / 2;
	vistay.progress = (aceleracion.y + 1) / 2;
	vistaz.progress = (aceleracion.z + 1) / 2;
	
	etiquetax.text = [NSString stringWithFormat:@"%1.1f",aceleracion.x];
	etiquetay.text = [NSString stringWithFormat:@"%1.1f",aceleracion.y];
	etiquetaz.text = [NSString stringWithFormat:@"%1.1f",aceleracion.z];
}


/*
 // Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
 - (void)viewDidLoad {
 [super viewDidLoad];
 }
 */


/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */


- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller {
    
	[self dismissModalViewControllerAnimated:YES];
}


- (IBAction)showInfo {    
	
	FlipsideViewController *controller = [[FlipsideViewController alloc] initWithNibName:@"FlipsideView" bundle:nil];
	controller.delegate = self;
	
	controller.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
	[self presentModalViewController:controller animated:YES];
	
	[controller release];
}



/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
